Subject: Re: [Cfrg] [pkix] Applied Quantum Resistant Crypto

From: "Wirth, Klaus-Dieter" <[email-masked]>
Date: Wed, 8 Aug 2018 11:38:58 +0000

Hi,

we have been interested in your message and we appreciate your initiative. For some time we are dealing with this topic, too. As a provider of some PKIs we have to be prepared to migrate from RSA-/ECC-based algorithms to PQC-algorithms in a not too far future.
So, we are definitely interested in the mentioned topics.

Best regards,

Dr. Klaus-Dieter Wirth

Senior Product Architect
CRY - Kompetenzteam Cryptographic Systems, T DF SC - Secure Communications
-----------------------------------------------------------------------
Bundesdruckerei GmbH
Kommandantenstr. 18
10969 Berlin
GERMANY
Phone:  + 49 (0) 30 2598 3947
Fax:    + 49 (0) 30 2598 1717

[email-masked]<mailto:[email-masked]>
www.bundesdruckerei.de<http://www.bundesdruckerei.de/>

Von: pkix [mailto:[email-masked]] Im Auftrag von Dr. Pala
Gesendet: Dienstag, 17. Juli 2018 21:35
An: [email-masked]; PKIX; [email-masked]
Betreff: [pkix] Applied Quantum Resistant Crypto

Hi all,

I was wondering if there are people interested in setting up some sort of discussion forum where to discuss the deployment (from a practical point of view) for QRC in their systems. The intent here would be to share the experiences, provide feedback, and possibly even share implementations/references/etc.

Moreover, being this quite a new field when it comes to real-world applications, it would be interesting to understand the new requirements so that we can plan for algorithm agility correctly and not having to go through what we suffered in the past (and in some cases with current protocols) to upgrade/switch among different schemes/algorithms.

For example, some of the topics might include:

  *   How to deploy PKI services
  *   Mixed environments considerations (QRC and "Traditional" Crypto)
  *   Mixed environments (stateful vs. stateless)
  *   Encryption and Key-Exchange for QRC - what are the options there (it seems auth is well understood, but other problems are still open)?
  *   Are there implications for the deployment of PKIs we need to be aware of and are not currently mentioned/addressed?
  *   Any real-world deployment out there (or plans for it)?
  *   Algorithm Agility, what to plan for?
  *   Applicability to Revocation Services

Most of the activities to standardize QRC in CMS/SecFirmware/etc. that I can see are related to the use of Stateful HASHSIG and I have not seen any "standardization" activities around stateless schemes (e.g., SPHINCS), but if I am wrong, please let me know (and if you could provide some interesting links, that would be great). I think it would be useful to understand how to practically deploy these new schemes and how to refine / provide the building blocks required for their implementation and deployment.

Here's some references:

Merkle Tree Signatures (Stateful):

  *   https://datatracker.ietf.org/doc/draft-mcgrew-hash-sigs/
  *   https://datatracker.ietf.org/doc/draft-housley-cms-mts-hash-sig/
  *   https://www.ietf.org/id/draft-housley-suit-cose-hash-sig-04.txt
  *   https://datatracker.ietf.org/doc/rfc8391/ (XMSS)
  *   https://eprint.iacr.org/2018/063 (Viability of Post Quantum X.509 Certs Paper)
  *   Implementations:
     *   https://github.com/cisco/hash-sigs

SPHINCS Related (Stateless):

  *   https://sphincs.org/
  *   Implementations:
     *   https://sphincs.org/data/sphincs+-reference-implementation-20180313.tar.bz2

Other Relevant Links:

  *   https://datatracker.ietf.org/doc/draft-truskovsky-lamps-pq-hybrid-x509/
  *   https://csrc.nist.gov/Projects/Post-Quantum-Cryptography
  *   http://test-pqpki.com/

I guess this is all for now - you can reply privately at the following addresses:

    [email-masked]<mailto:[email-masked]>
    [email-masked]<mailto:[email-masked]>

Thanks,
Max
--
Best Regards,
Massimiliano Pala, Ph.D.
OpenCA Labs Director
[OpenCA Logo]